Subject: Re: bug#28479: icecat-52.3.0-gnu1 includes Google in search engines

From: ng0 <[email-masked]>
Date: Mon, 18 Sep 2017 17:25:18 +0000

Mark H Weaver transcribed 1.1K bytes:
> ng0 <[email-masked]> writes:
> 
> > Mark H Weaver transcribed 0.4K bytes:
> >> 
> >> ng0 <[email-masked]> writes:
> >> 
> >> > Is this an upstream bug? Should we patch to remove Google?
> >> >
> >> > I've just compared a completely new system (and Icecat profile)
> >> > with my default profile, both include Google in search engines.
> >> >
> >> > There's also Bing and Yahoo, I'm not sure if all 3 were present
> >> > before this version.
> >> 
> >> Why would it be considered a bug to give users the convenient option to
> >> use those search engines?
> >> 
> >>        Mark
> >
> > For example the branch of firefox which Parabola distributes
> > makes changes not to default to Google.
> 
> Among the changes that GNU IceCat makes to Firefox ESR: it makes
> DuckDuckGo the default search engine.  Last I checked, that was indeed
> the case for our IceCat package.  Do you have reason to believe
> otherwise?

With a completely new system (had to set this up for testing Mate)
and guix package -i icecat  (for the recent release) and no pre-existing
configuration, the default was Google, not DuckDuckGo.

> > People rarely change defaults, so we should give the option to use
> > Google but default to for example searx.me or duckduckgo.com.
> 
> Agreed, and I think that's exactly what IceCat does.  Please let me know
> if you think I'm mistaken about that.
> 
>       Mark
> 

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org